Post Reply 
Privoxy with ProxHTTPSProxyMII v1.3a on linux
Sep. 13, 2015, 06:21 PM (This post was last modified: Sep. 13, 2015 07:09 PM by kik0s.)
Post: #1
Privoxy with ProxHTTPSProxyMII v1.3a on linux
hey guys,

any chance someone can explain to me how i can get it to work on a debian distro? i followed the os x guide to install all the dependecies for python. was the same. but when i start the proxhtts.py with python it seems to work but i get some errors.

i get that error on the client side. its the same on the server side Smile!
Code:
(host='1.2.3.4', port=8080): Max retries exceeded with url: http://www.apple.com/de/ (Caused by ProxyError('Cannot connect to proxy.', ConnectionRefusedError(111, 'Connection refused')))

thanks a lot for any help!

Managed it to get running. had to change the default proxy to work with privoxy as default proxy!
Add Thank You Quote this message in a reply
Sep. 25, 2015, 04:46 PM (This post was last modified: Sep. 25, 2015 04:47 PM by cattleyavns.)
Post: #2
RE: Privoxy with ProxHTTPSProxyMII v1.3a on linux
Ah, easy, you can download my version here and take config.ini from ProxHTTPSProxy folder and replace that config file with your config file:

https://www.dropbox.com/s/2dtm8pvvc9z7bw...e.zip?dl=0

My preconfigured config.ini will work fine, i'm sure.
Add Thank You Quote this message in a reply
Sep. 26, 2015, 06:53 AM
Post: #3
RE: Privoxy with ProxHTTPSProxyMII v1.3a on linux
How did you install pyOpenSSL as i get an error installing this?

And where do the files for HTTPS proxy goes?

/usr/lib/python3.2/ ?
Add Thank You Quote this message in a reply
Sep. 26, 2015, 08:30 AM
Post: #4
RE: Privoxy with ProxHTTPSProxyMII v1.3a on linux
@rogern just use any folder for the files. you can follow the guide for os x. its almost the same for linux.
Add Thank You Quote this message in a reply
Sep. 26, 2015, 09:44 AM (This post was last modified: Sep. 26, 2015 10:01 AM by rogern.)
Post: #5
RE: Privoxy with ProxHTTPSProxyMII v1.3a on linux
(Sep. 26, 2015 08:30 AM)kik0s Wrote:  @rogern just use any folder for the files. you can follow the guide for os x. its almost the same for linux.

Jupp it is, but i got an error code 1

Edit: Think i got it working with installing

aptitude install libffi-ruby1.8 libffindex0 libffi-dev libffindex-dev libffi5

It is a striped version so i guess those packages ws not neeededSmile! (dietpi)
It is a another adtrap like privoxy.

My setup is with urlfilter/e2guardian/squid and privoxy+dietpi on rasppberrypi 2.

squid https only filter with urlfilter as i have heard


Attached File(s)
.log  pip.log (Size: 23.88 KB / Downloads: 225)
Add Thank You Quote this message in a reply
Sep. 26, 2015, 12:29 PM (This post was last modified: Sep. 26, 2015 01:07 PM by rogern.)
Post: #6
RE: Privoxy with ProxHTTPSProxyMII v1.3a on linux
Got this error

[email protected]:/usr/local/lib/python3.2/ProxHTTPSProxy_py-1.3a# python3.2 ProxHTTPSProxy.py
Traceback (most recent call last):
File "ProxHTTPSProxy.py", line 27, in <module>
from ProxyTool import ProxyRequestHandler, get_cert, counter
File "/usr/local/lib/python3.2/ProxHTTPSProxy_py-1.3a/ProxyTool.py", line 17, in <module>
import selectors
ImportError: No module named selectors

Changed it to import selectors did fix it though

[email protected]:/usr/local/lib/python3.2/ProxHTTPSProxy_py-1.3a# python3.2 ProxHTTPSProxy.py
Traceback (most recent call last):
File "ProxHTTPSProxy.py", line 27, in <module>
from ProxyTool import ProxyRequestHandler, get_cert, counter
File "/usr/local/lib/python3.2/ProxHTTPSProxy_py-1.3a/ProxyTool.py", line 21, in <module>
from CertTool import get_cert
ImportError: No module named CertTool
Add Thank You Quote this message in a reply
Sep. 26, 2015, 12:49 PM
Post: #7
RE: Privoxy with ProxHTTPSProxyMII v1.3a on linux
Hi, you should ask here, ProxHTTPSProxy's author can help you: http://www.prxbx.com/forums/forumdisplay.php?fid=48
Add Thank You Quote this message in a reply
Sep. 26, 2015, 07:51 PM
Post: #8
RE: Privoxy with ProxHTTPSProxyMII v1.3a on linux
as far as i know you need the dev version of openssl for your distro. i think its that one "libssl-dev". just use apt-get install libssl-dev
Add Thank You Quote this message in a reply
Oct. 02, 2015, 07:53 AM
Post: #9
RE: Privoxy with ProxHTTPSProxyMII v1.3a on linux
They are installed, but i think the problem is acctually

brew install python3 --with-brewed-openssl

i only installed python3 as --with-brewed-openssl i did not find a solutionWink
Add Thank You Quote this message in a reply
Oct. 02, 2015, 10:30 AM
Post: #10
RE: Privoxy with ProxHTTPSProxyMII v1.3a on linux
(Oct. 02, 2015 07:53 AM)rogern Wrote:  i only installed python3 as --with-brewed-openssl i did not find a solutionWink

Code:
pip install pyopenssl
pip install urllib3
pip install colorama
Add Thank You Quote this message in a reply
Oct. 02, 2015, 11:16 AM (This post was last modified: Oct. 02, 2015 11:29 AM by rogern.)
Post: #11
RE: Privoxy with ProxHTTPSProxyMII v1.3a on linux
It still complains about collectors i can change it to collectors 34, but then get another error

[email protected]:/usr/local/lib/python3.2/ProxHTTPSProxy_py-1.3a# python3.2 ProxHTTPSProxy.py
Traceback (most recent call last):
File "ProxHTTPSProxy.py", line 27, in <module>
from ProxyTool import ProxyRequestHandler, get_cert, counter
File "/usr/local/lib/python3.2/ProxHTTPSProxy_py-1.3a/ProxyTool.py", line 17, in <module>
import selectors
ImportError: No module named selectors


find / | grep selectors shows only selectors34
Add Thank You Quote this message in a reply
Oct. 02, 2015, 03:33 PM (This post was last modified: Oct. 02, 2015 03:41 PM by whenever.)
Post: #12
RE: Privoxy with ProxHTTPSProxyMII v1.3a on linux
selectors is a built in module shipping since python v3.4. Please upgrade your python installation to v3.4 or above.

Or use attached ProxyTool.py.


Attached File(s)
.zip  ProxyTool.py.zip (Size: 4.11 KB / Downloads: 207)
Add Thank You Quote this message in a reply
Oct. 02, 2015, 04:46 PM
Post: #13
RE: Privoxy with ProxHTTPSProxyMII v1.3a on linux
Python 3.4 i have to install by tar as 3.2 is the newest.
When replacing the file i got this error back

[email protected]:/usr/local/lib/python3.2/ProxHTTPSProxy_py-1.3a# python3.2 ProxHTTPSProxy.py
Traceback (most recent call last):
File "ProxHTTPSProxy.py", line 27, in <module>
from ProxyTool import ProxyRequestHandler, get_cert, counter
File "/usr/local/lib/python3.2/ProxHTTPSProxy_py-1.3a/ProxyTool.py", line 20, in <module>
from CertTool import get_cert
ImportError: No module named CertTool
Add Thank You Quote this message in a reply
Oct. 03, 2015, 02:49 AM
Post: #14
RE: Privoxy with ProxHTTPSProxyMII v1.3a on linux
It's a python installation problem if you have CertTool.py under the same directory but couldn't import it.
Add Thank You Quote this message in a reply
Oct. 10, 2015, 07:11 PM (This post was last modified: Oct. 10, 2015 07:28 PM by kik0s.)
Post: #15
RE: Privoxy with ProxHTTPSProxyMII v1.3a on linux
@rogern try this
Code:
sudo apt-get install python-dev libffi-dev libssl-dev

then do this:

Code:
$ cd ~
$ wget https://www.python.org/ftp/python/3.4.2/Python-3.4.2.tgz
$ tar -zxvf Python-3.4.2.tgz
$ cd Python-3.4.2
$ ./configure
$ make
$ sudo make install

if you dont have build tools then do that first:

Code:
sudo apt-get update
sudo apt-get upgrade -y
sudo apt-get install build-essential libncursesw5-dev libgdbm-dev libc6-dev
sudo apt-get install zlib1g-dev
sudo apt-get install libssl-dev openssl

after that you should have a fully working copy of python3.4. you can type "python3.4" in your terminal window and it should show you some input. do you have pip3? for those needed tools? i should write some ckind of tutorial Smile!
Add Thank You Quote this message in a reply
Post Reply 


Forum Jump: